For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
        • GETFind Process Jobs
        • POSTCreate Process Job
        • GETGet Process Job
Logo
Sign inBook a demo
API ReferencePayment GatewayProcess

Get Process Job

GET
https://api.mercoa.com/payment-gateway/process/:jobId
GET
/payment-gateway/process/:jobId
$curl https://api.mercoa.com/payment-gateway/process/job_1a92b5f7-f522-435e-a953-fd649363730a \
> -H "Authorization: Bearer <token>"
1{
2 "jobStatus": "success",
3 "attempts": [
4 {
5 "id": "pgpa_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
6 "status": "COMPLETED",
7 "createdAt": "2024-01-01T00:00:00Z",
8 "amount": 150.75,
9 "receiptUrl": "https://www.payment-gateway.com/receipt/123123"
10 }
11 ],
12 "createdAt": "2024-01-01T00:00:00Z",
13 "jobId": "pgp_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
14 "updatedAt": "2024-01-01T00:00:00Z",
15 "gatewayAmount": 155.5,
16 "invoiceAmount": 150.75,
17 "receiptUrl": "https://www.payment-gateway.com/receipt/123123",
18 "vendorName": "Acme Corporation"
19}
Get the status of a payment gateway processing job
Was this page helpful?
Previous

Find Validation Jobs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

jobIdstringRequired
The ID of the payment gateway processing job

Response

This endpoint returns an object.
pendingobject
OR
successobject
OR
failedobject

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented